
'  Projekt:       Angry Bird Wing Control
'  Modul:         Utilities.inc
'  Autor:         R. Link 2019
'  BascomAVR:     2.0.8.4

'  Beschreibung:
'  Sonstige Routinen fr die Angry Bird Wing Control


'  -----------------------------------------
'  Interne Variablen
'  -----------------------------------------
   Dim _TempByte as Byte                                    ' Hilfsvariable
   Dim _TempWord as Word                                    ' Hilfsvariable
   Dim _TempInt as Integer                                  ' Hilfsvariable


'  ----------------------------------------------
'  Routine fr das Berechnen der Servo-Mittelstellung
'  ----------------------------------------------
   Function Calc_Servo_Center() as Byte
      _TempWord = Getadc(3)                                 ' Werte 0 bis 1024
      _TempWord = _TempWord / 26                            ' Werte 0 bis 40
      _TempInt = _TempWord - 20                             ' Werte -20 bis +20 (+/- Wert, um den die Mittelstellung verschoben werden kann, Poti-Mittelstellung ergibt den Wert 0)
      _TempByte = Servo_out_center_default + _TempInt       ' Servo Mittelstellung um den berechneten Potiwert verschieben
      Calc_Servo_Center = _TempByte
   End Function


'  ----------------------------------------------
'  Routine fr das Limitieren der RC Pulslnge
'  ----------------------------------------------
   Sub Check_RC()
         If Raw_Pulse_Length > RC_in_max Then Raw_Pulse_Length = RC_in_max       ' Pulslnge begrenzen
         If Raw_Pulse_Length < RC_in_min Then Raw_Pulse_Length = RC_in_min       ' Pulslnge begrenzen
         RC_Pulse_Length = Raw_Pulse_Length                 ' Werte zwischen 63 und 125
   End Sub